Subject: RFC 2616 errata: invalid language tag "x-pig-latin"

From: Sven Neuhaus <[email-masked]>
Date: Thu, 13 Jun 2002 09:19:28 -0400 (EDT)

Hello,

just a minor error:
In RFC 2616 chapter 3.10 "Language tags", there is the text:

"Example tags include:

en, en-US, en-cockney, i-cherokee, x-pig-latin"

However, the language tag "x-pig-latin" is invalid because the subtag is
more than 8 characters long and contains a "-" (only ALPHA is allowed).

Please CC me in replies to the HTTP WG list as I am not subscribed.

Regards,
-- 
Sven Neuhaus                                     email [email-masked]
Neopoly AG                                       phone +49 231 964560
http://www.neopoly.com/                          fax +49 231 96456 69

---

From: Martin Duerst <[email-masked]>
Date: Fri, 14 Jun 2002 13:17:30 +0900

Hello Sven,

The syntax rules say:

         language-tag  = primary-tag *( "-" subtag )
         primary-tag   = 1*8ALPHA
         subtag        = 1*8ALPHA

Please note the '*' in the first rule, meaning repetition
(from zero times up). So for example

x-subtag1-subtag2-subtag3-subtag4-subtag5-subtag6-subtag7 ...

would be a perfectly legal language tag.

Editors, please note that on the next occasion, RFC 1766 should
be updated to RFC 3066.

Regards,     Martin.